# Monopoly Ledger

Monopoly Ledger is a Web-based tool to support more diverse rules for Monopoly that are not easy to implement with cash.

This project is inspired by the original purpose of Monopoly's predecessor, The Landlord's Game, which was to demonstrate the effects of different economic rules. The use of a digital ledger also enables a wider variety of rule-sets than would be possible with cash.

Created in JavaScript with the assistance of ChatGPT based on an original Python prototype.

## How to Get It

A public instance is available at [medlab.host/monopoly](https://medlab.host/monopoly).

Download the entire repository and run `index.html` locally in a browser.

## How to Use It

Use Monopoly Ledger alongside the standard board game. It can replace the game's cash, though you will likely still need the property cards.

Because this tool is meant to facilitate play beyond the [official rules of Monopoly](https://monopoly.fandom.com/wiki/Monopoly_Rules), there are some terms used that may require clarification:

The **Bank** is an infinite source (and destination) of money without a fixed balance, as in the official rules of Monopoly.

**Pot** is a balance of money, often kept in the middle of the board. In common variants of Monopoly, various taxes and fees are paid there, and players can collect the pot upon landing on Free Parking. In the official rules, there is no pot. Here, it serves as an alternative to the Bank as a finite source of funds.

**Rules** listed on Monopoly Ledger should be understood to be additions to or replacements for the official rules of Monopoly. Unless otherwise stated under "Rules" here, follow the official rules.

**Transactions to "All"** enable players (or the Bank or Pot) to distribute a certain base amount of money equally to all other players. The funds are distributed sequentially, as if handing out one-dollar bills in order. This means the distribution may not be exactly equal, but it avoids the use of fractional quantities.

**Levies** are tax-like actions that remove a certain percentage of money from all players' money balances. A levy based on "Property Values" refers to both purchase value and improvements, while "Wealth" includes those Property Values plus money.

The **Properties** tool includes a field where users can add the value of the improvements made on their properties for the purpose of levy and wealth calculations.

## Citations

* [Coopoly](https://store.tesacollective.com/products/co-opoly-the-game-of-co-operatives) - "All players are on the same team and work together to start a cooperative business or organization and compete against the Point Bank"
* [The Landlord's Game](https://landlordsgame.info/games/lg-1906/lg-1906_egc-rules.html) - The original version of Monopoly intended to teach Georgist idea, with several rule variants
* [Monopoly Wiki at Fandom.com](https://monopoly.fandom.com/wiki/Main_Page)
* [Monopoly Ultimate Banking Edition](https://instructions.hasbro.com/en-us/instruction/Monopoly-Game--Ultimate-Banking-Edition) - Official Hasbro game with credit cards, electronic ledgers, variable rents, and boom and bust cycles

## To do

* Do a game jam on alternative Monopoly rules, designing and testing them.
* Use movable boxes dashboard js thing to allow moving
    - https://gridstackjs.com/
* add Gini coefficients to balances for total wealth

